Summary Report Resource
Fetch revenue summary for a timeframe
This endpoint allows fetching the revenue summary for a given operator within a specified timeframe, broken down by payment methods and currency.
POST
/
summary-report
/
revenue
Fetch revenue summary for a timeframe
curl --request POST \
--url https://operator-financial-reporting.staging.ezprk.dev/summary-report/revenue \
--header 'Content-Type: application/json' \
--header 'X-Authorization: <api-key>' \
--data '
{
"operatorId": 12345,
"startDate": "2026-01-14",
"endDate": "2026-01-15"
}
'import requests
url = "https://operator-financial-reporting.staging.ezprk.dev/summary-report/revenue"
payload = {
"operatorId": 12345,
"startDate": "2026-01-14",
"endDate": "2026-01-15"
}
headers = {
"X-Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Authorization': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({operatorId: 12345, startDate: '2026-01-14', endDate: '2026-01-15'})
};
fetch('https://operator-financial-reporting.staging.ezprk.dev/summary-report/revenue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transmissionDateTime": "2026-03-10T10:30:00Z",
"operatorId": 12345,
"startDate": "2026-03-01T00:00:00Z",
"endDate": "2026-03-07T23:59:59Z",
"revenue": [
{
"paymentType": "CARD",
"currency": "USD",
"totalPaymentAmount": 1234.56,
"totalTransactionFee": 123.45,
"totalParkingAmount": 1111.11
},
{
"paymentType": "Wallet",
"currency": "USD",
"totalPaymentAmount": 567.89,
"totalTransactionFee": 56.78,
"totalParkingAmount": 511.11
}
]
}Authorizations
For the header value, use the format: Bearer YOUR-JWT-TOKEN. You can get the token from the auth/v1 endpoint.
Body
application/json
Request body containing parameters for report generation
Response
200 - application/json
Revenue summary successfully retrieved
Response containing revenue summary for a specific period
Date and time of report transmission
Example:
"2026-01-15T10:30:00"
Operator identifier
Example:
12345
Start date of the reporting period
Example:
"2026-01-01T00:00:00"
End date of the reporting period
Example:
"2026-01-07T23:59:59"
List of revenue items grouped by payment type and currency
Show child attributes
Show child attributes
⌘I
Fetch revenue summary for a timeframe
